site_name: Documentaion Galves Valentin
docs_dir : src

# Stucture
nav:
  - Bachelor:
    - bachelor/CRJ1GALVES.md
    - bachelor/CRJ2GALVES.md
    - bachelor/CRJ3GALVES.md
    - bachelor/CRJ4GALVES.md
    - bachelor/CRJ5GALVES.md
    - bachelor/CRJ6GALVES.md
  - Master:
    - Administration Linux:
      - master/Kickstart.md
      - master/LDAP.md
      - master/Packaging.md
      - master/Reseau_linux.md
      - master/Securite.md
      - master/Pipeline.md
    - master/Cloud-Nativ.md
    - master/Kubernetes-on-gcloud.md
theme:
  name: material
  language: fr
  palette:
    # primary: cyan
    # accent: teal
    # Palette toggle for automatic mode
    - media: "(prefers-color-scheme)"
      toggle:
        icon: material/brightness-auto
        name: Switch to light mode

    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default 
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to system preference
  icon:
   admonition:
      #Permet de crer des blocs d'information
      note: octicons/tag-16
      abstract: octicons/checklist-16
      info: octicons/info-16
      tip: octicons/squirrel-16
      success: octicons/check-16
      question: octicons/question-16
      warning: octicons/alert-16
      failure: octicons/x-circle-16
      danger: octicons/zap-16
      bug: octicons/bug-16
      example: octicons/beaker-16
      quote: octicons/quote-16
markdown_extensions:
  #Permet de créer des blocs d'information
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  #Permet de visualuser les images
  - attr_list
  - md_in_html
  #Permet de changer des code block
  - pymdownx.highlight:
     anchor_linenums: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.highlight
  - pymdownx.tabbed:
      alternate_style: true 
  
